Subject: Re: [CDNi] I-D Action: draft-ietf-cdni-uri-signing-11.txt

From: Phil Sorber <[email-masked]>
Date: Wed, 14 Jun 2017 21:21:23 +0000

We have merged the HAS PR from EDR now, and I think we might be ready for
another revision before Prague, but I wanted to see if anyone is currently
working on a review of the current draft? If so I can hold off so any
issues can be addressed before the next draft. If I don't hear back I hope
to upload a new draft soon.

Thanks.

On Thu, May 18, 2017 at 2:22 PM Phil Sorber <[email-masked]> wrote:

> I've just pushed an update to the URI signing draft. There has been a lot
> of work done on it since the last revision, and I wanted to get it in front
> of people to review. I'm sure there's lots to do still, but hopefully minor
> language and formatting tweaks at this point. We still have an open PR for
> HTTP Adaptive Streaming, but since the previous draft had expired, and so
> much has changed, I didn't want to wait any longer. Please review and if
> you are so inclined, submit a PR with your suggestions to the GitHub repo:
> https://github.com/PSUdaemon/URISigningSpec
>
> Thanks!
>
>
> On Thu, May 18, 2017 at 2:16 PM <[email-masked]> wrote:
>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>> This draft is a work item of the Content Delivery Networks
>> Interconnection of the IETF.
>>
>>         Title           : URI Signing for CDN Interconnection (CDNI)
>>         Authors         : Ray van Brandenburg
>>                           Kent Leung
>>                           Phil Sorber
>>                           Matthew Miller
>>         Filename        : draft-ietf-cdni-uri-signing-11.txt
>>         Pages           : 31
>>         Date            : 2017-05-18
>>
>> Abstract:
>>    This document describes how the concept of URI signing supports the
>>    content access control requirements of CDNI and proposes a URI
>>    signing method as a JSON Web Token (JWT) [RFC7519] profile.
>>
>>    The proposed URI signing method specifies the information needed to
>>    be included in the URI to transmit the signed JWT as well as the
>>    claims needed by the signed JWT to authorize a UA.  The mechanism
>>    described can be used both in CDNI and single CDN scenarios.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-cdni-uri-signing/
>>
>> There are also htmlized versions available at:
>> https://tools.ietf.org/html/draft-ietf-cdni-uri-signing-11
>> https://datatracker.ietf.org/doc/html/draft-ietf-cdni-uri-signing-11
>>
>> A diff from the previous version is available at:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-cdni-uri-signing-11
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________
>> CDNi mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/cdni
>>
>